@import 'variables';
@import 'form';
@import 'font';
@import 'button';
@import 'table';
@import 'vehiculeBox';

@import 'header';
@import 'main';
@import 'footer';

.App {
	height: 100%;
	width: 100%;
}

.App-logo {
	height: 40vmin;
	pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
	.App-logo {
		animation: App-logo-spin infinite 20s linear;
	}
}

.App-header {
	background-color: #282c34;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	font-size: calc(10px + 2vmin);
	color: white;
}

.App-link {
	color: #61dafb;
}

.doc-img {
	background-image: url(../assets/img/growingUpApi.png);
	margin: 0 auto;
	height: 650px;
	width: 90%;
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
}

/* Animations */
@keyframes App-logo-spin {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(360deg);
	}
}
.principalBox {
	width: 100vw;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: space-between;

	&.success {
		justify-content: center;
		align-items: center;
		font-size: 1.2rem;
		font-weight: 600;
	}
}
header {
	box-sizing: border-box;
	margin: 0 auto;
}
main {
	box-sizing: border-box;
}
